package de.ivu.elect.presentation.stimmeingabe.form;

import de.ivu.elect.business.stimmeingabe.control.plausi.WahlberechtigteGesamtComparedToVorperiodeKleinerGleichSchwellwertCustomData;
import de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiKonfigurationPropertyContext;
import de.ivu.elect.jee.presentation.dynamicform.AbstractIntegerProperty;

public class WahlberechtigteGesamtComparedToVorperiodeKleinerGleichSchwellwertCustomDataMaximaleAbweichungProperty extends AbstractIntegerProperty {

  private final WahlberechtigteGesamtComparedToVorperiodeKleinerGleichSchwellwertCustomData customData;

  private final StimmeingabePlausiKonfigurationPropertyContext context;

  public WahlberechtigteGesamtComparedToVorperiodeKleinerGleichSchwellwertCustomDataMaximaleAbweichungProperty(WahlberechtigteGesamtComparedToVorperiodeKleinerGleichSchwellwertCustomData customData, StimmeingabePlausiKonfigurationPropertyContext context) {
    this.customData = customData;
    this.context = context;
  }

  @Override
  public Integer getValue() {
    return new Double(customData.getMaximaleAbweichung() * 100.0).intValue();
  }

  @Override
  public void setValue(Integer value) {
    customData.setMaximaleAbweichung(value / 100.0);
  }

  @Override
  public String getDefaultLabel() {
    return getMessage("WahlberechtigteGesamtComparedToVorperiodeKleinerGleichSchwellwertCustomData.maximaleAbweichung");
  }

  @Override
  public boolean getDefaultRequired() {
    return true;
  }

  @Override
  public long getMinValue() {
    return 0L;
  }
}
